Bug 997111 - dracut-network Requires dhclient
dracut-network Requires dhclient
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 13:06 EDT by Jan Kratochvil
Modified: 2015-02-18 06:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:04:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2013-08-14 13:06:02 EDT
Description of problem:
missing dependency

Version-Release number of selected component (if applicable):
dracut-network-029-2.fc19.i686

How reproducible:
Tried twice.

Steps to Reproduce:
yum install dracut-network
cat >/etc/dracut.conf.d/jankratochvil.conf <<EOH
dracutmodules+="nfs network base"
omit_dracutmodules+="xen btrfs dm dmraid dmsquash-live lvm mdraid multipath"
add_dracutmodules+="network nfs"
add_drivers+=" virtio_net "
EOH
dracut -f --kver 3.10.5-201.fc19.i686

Actual results:
W: Turning off host-only mode: '/run' is not mounted!
W: Turning off host-only mode: '/dev' is not mounted!
W: Turning off host-only mode: udev database not found!
E: Could not find program "dhclient" required by network.
E: Could not find program "dhclient" required by network.
E: dracut module 'nfs' depends on 'network', which can't be installed
E: dracut module 'nfs' cannot be found or installed.
E: dracut module 'network' cannot be found or installed.
E: dracut module 'nfs' cannot be found or installed.
E: dracut module 'network' cannot be found or installed.

Expected results:
W: Turning off host-only mode: '/run' is not mounted!
W: Turning off host-only mode: '/dev' is not mounted!
W: Turning off host-only mode: udev database not found!

Additional info:
Comment 1 Harald Hoyer 2013-08-20 08:37:33 EDT
commit dc63e654193a7ffae4f3d482f6d5623823e70775
Comment 2 Fedora End Of Life 2015-01-09 17:27:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-18 06:04:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.